{*******************************************************************************}
{                                                                               }
{ FileName     : fmScreenSaverPreview.pas                                       }
{                                                                               }
{ Author       : Ian Lane (Email: lanei@ideal.net.au)                           }
{                                                                               }
{ Synopsis     : This is the screen that will appear inside the little computer }
{                image on the Windows 95 Screen Saver tab. It is descended from }
{                frmBaseScreen.                                                 }
{                                                                               }
{ Distribution : This program is free for public use as long as credit is given }
{                to the author.                                                 }
{                                                                               }
{                          Copyright (c) 1998 Ian Lane                          }
{                                                                               }
{*******************************************************************************}
unit fmScreenSaverPreview;

interface

uses
  Classes, Controls, ExtCtrls, fmBaseScreen, Forms, ULife, Windows;

type
  TfrmScreenSaverPreview = class(TfrmBaseScreen)
    procedure FormCreate(Sender : TObject);
  end;

var
  frmScreenSaverPreview : TfrmScreenSaverPreview;

implementation

uses
  SysUtils;
  
{$R *.DFM}

procedure TfrmScreenSaverPreview.FormCreate(Sender : TObject);

begin
  Inherited;
  // Put us inside the little preview window in the dialog box
  Parent := nil;
  ParentWindow := StrToInt(ParamStr(2))
end;

end.
