{*******************************************************************************}
{                                                                               }
{ FileName     : LifeScreenSaver.pas                                            }
{                                                                               }
{ Author       : Ian Lane (Email: lanei@ideal.net.au)                           }
{                                                                               }
{ Synopsis     : A Windows 95 Screen Saver using my TLife component.            }
{                                                                               }
{ Distribution : This program is free for public use as long as credit is given }
{                to the author.                                                 }
{                                                                               }
{                          Copyright (c) 1998 Ian Lane                          }
{                                                                               }
{*******************************************************************************}
program LifeScreenSaver;

uses
  Forms,
  Windows,
  fmBaseScreen in 'fmBaseScreen.pas' {frmBaseScreen},
  fmScreenSaver in 'fmScreenSaver.pas' {frmScreenSaver},
  fmScreenSaverPreview in 'fmScreenSaverPreview.pas' {frmScreenSaverPreview};

{$R *.RES}
{$D SCRNSAVE Life Screen Saver }

begin
  Application.Title := 'Life Screen Saver';
  if (ParamCount = 0) or (ParamStr(1) = '/s') then
  begin
    Application.CreateForm(TfrmScreenSaver, frmScreenSaver);
    Application.Run
  end
  else
    if ParamStr(1) = '/c' then
      MessageBox(0, 'There are no settings for this Screen Saver!', 'Information',
                 MB_ICONINFORMATION or MB_OK)
    else
      if ParamStr(1) = '/p' then
      begin
        Application.CreateForm(TfrmScreenSaverPreview, frmScreenSaverPreview);
        Application.Run
     end
end.
